Summary: Linux/POSIX emulation of Win32::SerialPort functions
Name: perl-Device-SerialPort
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2+
Group: Development/Libraries
URL: http://search.cpan.org/dist/Device-SerialPort/
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: perl(ExtUtils::MakeMaker)
Source0: %name-%version.tar.gz
%if 0%{?suse_version}
# SLES-specific stuff
Requires: perl = %{perl_version}
%else
# Common RHEL stuff
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%endif

%description
This is a POSIX-based version of the Win32::Serialport module ported by
Joe Doss for the MisterHouse Home Automation Package from Version 0.08
of the Win32 module. He replaced calls to the Win32 API with similar
functions implemented using POSIX calls. While most of the testing has
occurred on linux, the package should work on other POSIX-compliant
Operating Systems.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf %buildroot

make pure_install PERL_INSTALL_ROOT=%buildroot

find %buildroot -type f -a \( -name perllocal.pod -o -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find %buildroot -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %buildroot/*

for brp in %{_prefix}/lib/rpm/%{_build_vendor}/brp-compress \
  %{_prefix}/lib/rpm/brp-compress
do
  [ -x $brp ] && $brp && break
done


find %buildroot -type f \
| sed "s@^%buildroot@@g" \
> %{name}-%{version}-%{release}-filelist

eval `%{__perl} -V:archname -V:installsitelib -V:installvendorlib -V:installprivlib`
for d in $installsitelib $installvendorlib $installprivlib; do
  [ -z "$d" -o "$d" = "UNKNOWN" -o ! -d "%buildroot$d" ] && continue
  find %buildroot$d/* -type d \
  | grep -v "/$archname\(/auto\)\?$" \
  | sed "s@^%buildroot@%dir @g" \
  >> %{name}-%{version}-%{release}-filelist
done

if [ "$(cat %{name}-%{version}-%{release}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
fi

%clean
rm -rf %buildroot

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root,-)
%doc Changes README

%changelog
* Mon Oct 8 2012 ae <ae@op5.se>
- Specfile created
